﻿Public NotInheritable Class WikipediaApi
    Private Sub New()
        '静的クラス
    End Sub

    Public Shared Function CallApi(keyword As String) As IEnumerable(Of WikipediaItem)
        Using wc As New WebClient()
            wc.Encoding = Encoding.UTF8
            Dim reqUrl As String = "http://wikipedia.simpleapi.net/api?keyword=" & Uri.EscapeDataString(keyword) & "&output=xml"
            Return XElement.Parse(wc.DownloadString(reqUrl)).Elements().Select(Function(elm) WikipediaItem.FromXml(elm))
        End Using
    End Function
End Class
