﻿Public Class WikipediaItemViewModel
    Inherits ViewModel

    Public Sub New(model As WikipediaItem)
        Me.model = model
    End Sub

    Private model As WikipediaItem

    Public ReadOnly Property Title As String
        Get
            Return Me.model.Title
        End Get
    End Property

    Public ReadOnly Property Body As String
        Get
            Return Me.model.Body
        End Get
    End Property

    Public ReadOnly Property Redirect As Boolean
        Get
            Return Me.model.Redirect
        End Get
    End Property

    Public ReadOnly Property Url As String
        Get
            Return Me.model.Url
        End Get
    End Property
End Class
